// ----------------------------------------------------------------------------
//	diag.cpp
//	Copyright (C) cisc 1999.
// ----------------------------------------------------------------------------
//	$Id: diag.cpp,v 1.7 1999/06/19 14:07:36 cisc Exp $
//
#include "headers.h"

#define LOGNAME
#include "diag.h"
//#include "Z80C.h"

#if defined(_DEBUG)

//Z80C* Diag::cpu = 0;

Diag::Diag(const char* logname)
{
	file = fopen(logname, "w");
}

Diag::~Diag()
{
	fclose(file);
}

void Diag::Put(const char* arg, ...)
{
	va_list va;
	va_start(va, arg);

	if (file)
		vfprintf(file, arg, va);
	va_end(va);
}

int Diag::GetCPUTick()
{
	return 0;
//	return cpu ? cpu->GetCount() : 0;
}

#endif
